package en.MaxedOut.UltraRespawn;

import org.bukkit.command.CommandExecutor;
import en.MaxedOut.UltraRespawn.Commands.Command;
import org.bukkit.plugin.PluginManager;
import en.MaxedOut.UltraRespawn.Events.PlayerDeath;
import org.bukkit.plugin.Plugin;
import org.bukkit.event.Listener;
import en.MaxedOut.UltraRespawn.Utils.DeathMessageHandler;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin
{
    public static JavaPlugin instance;
    private Config config;
    
    public void onEnable() {
        ((Main)(Main.instance = this)).registerEvents();
        this.registerCommands();
    }
    
    public void onDisable() {
    }
    
    public void registerEvents() {
        final PluginManager pm = Bukkit.getPluginManager();
        this.config = new Config();
        final DeathMessageHandler dmh = new DeathMessageHandler();
        pm.registerEvents((Listener)dmh, (Plugin)Main.instance);
        pm.registerEvents((Listener)new PlayerDeath(this.config, dmh), (Plugin)Main.instance);
    }
    
    public void registerCommands() {
        this.getCommand("ultrarespawn").setExecutor((CommandExecutor)new Command(this.config));
    }
}
